Name: pcp
Version: 2.1.4
Release: 2
Distribution: SGI 1.0
Packager: markgw@sherman.melbourne.sgi.com 
BuildRoot: /tmp/24115 
Source: pcp-2.1.4.src.tar.gz

Summary: System-level performance monitoring and performance management. 
Copyright: Copyright (C) 1999 Silicon Graphics, Inc.  All Rights Reserved.
Vendor: Silicon Graphics, Inc.
URL: http://oss.sgi.com/projects/pcp
Group: Applications/System

%description
Performance Co-Pilot (PCP) is a framework and services to
support system-level performance monitoring and performance
management. 

The PCP open source release provides a unifying abstraction for
all of the interesting performance data in a system, and allows
client applications to easily retrieve and process any subset of
that data. 

# In .census is exist, then no setup is necessary, just go and do the build,
# otherwise run setup
%prep
if [ -f .census ] ; then
   if [ ! -d ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION} ] ; then
      ln -s . ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}
   fi
else
%setup
touch .census
./configure
fi

%build
/usr/bin/make

# Install step will attempt to pouplate the install area only if both
# DIST_ROOT and DIST_MANIFEST are not set, otherwise we assume somebody
# already done it.
%install
if [ -z "$DIST_ROOT" -a -z "$DIST_MANIFEST" ] ; then
    DIST_ROOT=$RPM_BUILD_ROOT
    DIST_MANIFEST=`pwd`/install.manifest
    export DIST_ROOT DIST_MANIFEST
    /usr/bin/make install
fi

set +x
PCP_CONF=src/include/pcp.conf
export PCP_CONF
. src/include/pcp.env
sort $DIST_MANIFEST | uniq | $PCP_AWK_PROG ' 
$1 == "d" { printf ("%%%%dir %%%%attr(%s,%s,%s) %s\n", $2, $3, $4, $5); } 
$1 == "f" { if ( match ($6, "'$PCP_VAR_DIR'/config") ||
		 match ($6, "'$PCP_SYSCONFIG_DIR'") ) {
	       printf ("%%%%config ");
	    }
	    if (match ($6, "'$PCP_MAN_DIR'") || match ($6, "'$PCP_DOC_DIR'")) {
		printf ("%%%%doc ");
	    }
	    printf ("%%%%attr(%s,%s,%s) %s\n", $2, $3, $4, $6); }
$1 == "l" { print "%attr(0777,root,root)", $3; }' > files.rpm

set -x

#
%files -f files.rpm

# Stop daemons before erasing the packages
%preun
if [ -f /etc/pcp.env ] ; then
    . /etc/pcp.env
    $PCP_RC_DIR/pcp stop
fi
which chkconfig > /dev/null 
if [ $? -eq 0 ] ; then
    chkconfig --del pcp
fi
exit 0

# Run chkconfig after installing
%post
which chkconfig > /dev/null 
if [ $? -eq 0 ] ; then
    chkconfig --add pcp
fi
exit 0
